members.dev
Subscription interruptions

List Interruptions

Lists interruptions for a Subscription.

GET
/v1/subscriptions/{subscription_id}/interruptions

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

subscription_id*string

Query Parameters

page?integer

Page number

Default1
Range1 <= value
size?integer

Page size

Default50
Range1 <= value <= 100

Header Parameters

Members-Context?|

Members organization id (org_…) when the client has multiple organizations.

Response Body

application/json

application/json

curl -X GET "https://api.members.dev/v1/subscriptions/string/interruptions"
{
  "items": [
    {
      "id": "string",
      "subscription_id": "string",
      "type": "pause",
      "status": "scheduled",
      "starts_at": null,
      "ends_at": {},
      "resumed_at": {},
      "revoked_at": {},
      "created_at": null,
      "updated_at": null
    }
  ],
  "total": 0,
  "page": 1,
  "size": 1,
  "pages": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}